# $Revision: 1.38 $, $Date: 2011/12/12 12:35:42 $
%define pkgname activesupport
Summary:	Utility libraries for Ruby on Rails
Name:		ruby-activesupport2
Version:	2.3.14
Release:	1
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	2287a8a769cc4ecca94d3c5b867a874c
Patch0:		ruby-activesupport-nogems.patch
Patch1:		ruby-activesupport-ruby-1.9.3.patch
URL:		http://rubyforge.org/projects/activesupport/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
Requires:	ruby-builder >= 2.1.2
Requires:	ruby-i18n
Requires:	ruby-json
Requires:	ruby-mocha >= 0.9.7
Requires:	ruby-memcache-client
Requires:	ruby-nokogiri >= 1.1.1
Requires:	ruby-tzinfo
Obsoletes:	ruby-ActiveSupport
Provides:	ruby-ActiveSupport
Provides:	ruby-activesupport = %{version}
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to be placed there. we're not noarch only because of ruby packaging
%define		_enable_debug_packages	0

%description
Utility libraries for Ruby on Rails.

%description -l pl.UTF-8
Biblioteki narzędziowe dla Ruby on Rails.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}
%patch0 -p1
%patch1 -p1

%{__rm} -r lib/active_support/vendor*

# JRuby crap
rm lib/active_support/xml_mini/jdom.rb

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/created.rid
rm -fr ri/{CGI,Class,ClassInheritableAttributes,Date,DateTime} \
	ri/{Enumerable,Exception,FalseClass,File,Float,Hash} \
	ri/{HashWithIndifferentAccess,Integer,Kernel,Logger} \
	ri/{LibXML,MissingSourceFile,Module,NameError,NilClass,Numeric} \
	ri/{Object,Pathname,Proc,Range,Regexp,REXML,String} \
	ri/{Symbol,Test,Time,TrueClass,Process,Array,BigDecimal} \
	ri/{Benchmark,ERB,Fixnum,InstanceExecMethods}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{pkgname}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG
%{ruby_rubylibdir}/active_support
%{ruby_rubylibdir}/active_support.rb
%{ruby_rubylibdir}/activesupport.rb

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{pkgname}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/ActiveSupport

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-activesupport2.spec,v $
Revision 1.38  2011/12/12 12:35:42  baggins
- ri documentation depends on installed packages and is thus nondeterministic

Revision 1.37  2011/12/12 12:30:54  baggins
- 2.3.14

Revision 1.36  2011/12/09 13:35:59  baggins
- rel 2
- fix incompatibility with ruby 1.9.3
  http://groups.google.com/group/rubyonrails-core/browse_thread/thread/81be70a119260e59

Revision 1.35  2011/07/08 09:39:49  baggins
- 2.3.11
- thread patch applied upstream

Revision 1.34  2011/06/22 11:14:17  baggins
- provide also generic, versioned package name to avoid file conflicts

Revision 1.33  2011/06/22 10:57:53  baggins
- fix package name

Revision 1.32  2011/06/22 10:51:24  baggins
- 2.3.5 as separate package (needed by redmine)

Revision 1.31  2010/11/30 22:19:07  aredridel
- up to 3.0.3

Revision 1.30  2010/11/23 17:06:14  aredridel
- Patch dependencies.rb to require thread properly

Revision 1.29  2010/03/01 20:43:30  baggins
- added ri package

Revision 1.28  2010/03/01 00:05:18  baggins
- updated to 2.3.5

Revision 1.27  2010/02/27 19:19:08  baggins
- P:ruby-ActiveSupport

Revision 1.26  2010/02/27 17:39:38  baggins
- renamed ruby-ActiveSupport -> ruby-activesupport

Revision 1.25  2009/01/06 08:28:20  glen
- remove vendor libs (already in deps)

Revision 1.24  2009/01/06 07:29:57  glen
- corrrect summary

Revision 1.23  2009/01/06 07:18:08  glen
- update to 2.0.5; -rdoc subpackage

Revision 1.22  2007/12/13 16:03:45  qboosh
- formatting

Revision 1.21  2007-12-13 09:28:56  aredridel
- 2.0.1

Revision 1.20  2007-05-31 18:48:43  aredridel
- disable RI

Revision 1.19  2007/03/05 07:40:00  aredridel
- 1.4.1

Revision 1.18  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.16  2006/12/17 20:20:26  aredridel
- don't build ri

Revision 1.15  2006/04/16 06:50:16  aredridel
- 1.3.1

Revision 1.14  2006/03/08 00:43:55  aredridel
- up to 1.2.5

Revision 1.13  2005/12/31 10:36:33  twittner
- change %ruby_mod_ver_requires_eq to %{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.12  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.11  2005/12/27 09:25:55  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.10  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.9  2005/10/25 17:35:53  aredridel
- up to 1.2.1

Revision 1.8  2005/07/11 15:04:17  aredridel
- up to 1.1.1

Revision 1.7  2005/07/09 20:32:57  aredridel
- up to 1.1.0

Revision 1.6  2005/04/21 01:31:48  aredridel
- up to 1.0.4

Revision 1.5  2005/04/03 22:03:56  qboosh
- tab

Revision 1.4  2005/04/03 21:34:50  aredridel
- requires ruby-breakpoint

Revision 1.3  2005/04/03 20:25:37  aredridel
- up to 1.0.3

Revision 1.2  2005/03/20 13:48:59  qboosh
- pl

Revision 1.1  2005/03/20 07:54:13  aredridel
- added
